import { createSlice } from "@reduxjs/toolkit";

const initialState ={
    merchantId:"",
    password:"",
    errors:{
        merchantId:"",
        password:"",
    },
};

const fromslice = createSlice({
    name:"form",
    initialState,
    reducers:{
        setMerchantId: (state, action) =>{
            state.merchantId = action.payload;
        },
        setPassword: (state, action) =>{
            state.password = action.payload;
        },
        setErrors: (state, action) =>{
            state.errors = action.payload;
        },
    }
});

export const {setMerchantId, setPassword, setErrors} = fromslice.actions;
export default fromslice.reducer;